#include <windows.h>
#include <stdlib.h>

#define WINDOWCLASSNAME "My window class"

LRESULT CALLBACK MyWindowProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch (uMsg)
	{
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	case WM_PAINT:
		{
			PAINTSTRUCT ps;
			HDC hdc = BeginPaint(hWnd, &ps);
			if (hdc != NULL)
			{
				RECT rect;
				GetClientRect(hWnd, &rect);
				DrawText(hdc, "Hello world!", 12, &rect,
					DT_CENTER | DT_SINGLELINE | DT_VCENTER);
				EndPaint(hWnd, &ps);
			}
		}
		break;
	case WM_SIZE:
		InvalidateRect(hWnd, NULL, TRUE);
		break;
	default:
		return DefWindowProc(hWnd, uMsg, wParam, lParam);
	}
	return 0;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
				   LPSTR lpCmdLine, int nCmdShow)
{
	WNDCLASS MyWndClass;
	memset(&MyWndClass, 0, sizeof(MyWndClass));
	MyWndClass.cbWndExtra = sizeof(MyWndClass);
	MyWndClass.lpfnWndProc = &MyWindowProc;
	MyWndClass.lpszClassName = WINDOWCLASSNAME;
	MyWndClass.hbrBackground =(HBRUSH) COLOR_WINDOWFRAME;
	ATOM aMyClass = RegisterClass(&MyWndClass);
	HWND hWnd = CreateWindow(WINDOWCLASSNAME, "Ma fentre  moi",
		WS_OVERLAPPEDWINDOW, 100, 100, 500, 500, NULL, NULL, hInstance, NULL);
	ShowWindow(hWnd, nCmdShow);
	MSG msg;
	bool bEnd = false;
	int res;
	while ((res = GetMessage(&msg, NULL, 0, 0)) != 0)
	{
		if (res < 0)
		{
			MessageBox(NULL, "Erreur dans GetMessage", "Fatal error", MB_ICONERROR);
			return EXIT_FAILURE;
		}
		else
			DispatchMessage(&msg);
	}
	UnregisterClass(WINDOWCLASSNAME, hInstance);
	return (int) msg.wParam;
}

